+++
date = 2021-01-28T06:14:00Z
description = ""
draft = false
slug = "what-i-wanted-to-do"
title = "What I wanted to do."

+++


#### **나는 무엇을 하고 싶지?**

나는 개발자가 되고 싶다. 그래서 나름대로 여러가지 언어를 배우기도 하고 여러가지 활동을 하면서 나의 꿈을 키워나갔다. 나는 고등학교를 다니며 공부를 하고, 흥미를 위주로 진로를 정하려다가, 이런것들이 빙산의 일각이라는 사실을 알며 좌절하고 말았다.

나는 과학고를 다니기 때문에 나름대로 수.과학적인 내용을 기본으로 하는 컴퓨터 아키텍쳐나 논리에 대해서 공부를 하기도 했는데, 컴퓨터 아키텍쳐에 대해 배우면서 자연스럽게 기계어, FPGA, 어셈블리 언어에 대해 관심을 가지게 되었고, 물론 지금은 대학교 진학문제가 있어서 시간을 많이 투자하지는 못하지만 관심을 가지고 배우고 있는 중이다.

그 외에도 양자컴퓨터나 양자논리에 대해서 관심이 생겼고, 특히 반도체에도 관심이 있었다. 지금 돌이켜 보면 그냥 컴퓨터에 관련된 것이면 폭넓게 무엇이든 관심을 가졌었던것 같다. 컴퓨터란 물체를 설명하는 여러 원리나 그것을 활용하는 여러 방법에 대해 깊은 호기심이 있었다. 태생 컴퓨터 공학도인듯 하다..

#### **대학 탈락으로부터, 나의 진로 결정까지**

나의 진로를 정할 때 즈음에는 정보보안에 대해 공부하고 있었고, 또 그 주제를 진로로 잡고 자기소개서를 쓰기도 하였다. 내가 정보보안에 관심을 두게 된 가장 큰 이유는 [Live Overflow](https://www.youtube.com/channel/UClcE-kVhqyiHCcjYwcpfj9w)란 외국의 유튜버를 계기로 시작하였는데, 나름대로 그 중요성을 인지하고 있었고, 재미있었다. 내 주변에는 정보보안에 대해 박식하거나 관심있는 친구들이 없기에 나름 희귀한 직업이고, 전공이라고 자연스럽게 생각해서 그런것 도 없지 않아 있을 듯 하다.

그러던 와중에 대학교 진학을 실패하고 좌절하고, 방황하고 있을 때 포스텍 해킹캠프를 참가했다. 나름대로 미리 공부해 두었기에 부담없이 참여할 수 있겠구나 생각하고 있었는데, 결국에는 최하위 점수를 받게 되었다. 팀이 잘 운용되지 않았던 점도 있겠지만, 나는 골론적으로 이렇게 생각하고 말았다. 아, 결국에 내가 무얼 하든지 각 분야에서는 이미 나보다 잘하는 사람이 넘쳐나구나, 라고. 나는 그렇게 정보보안에 대해 재능있는 것도 아니라는 것을 알게 되었다. 때마침 여러 언어를 배우며 한계를 느끼기도 하였고, 여러가지 진행하고 있던 토이 프로젝트의 아이디어도 없었으며, 기존에 운영하던 서비스도 너무 부실했다. 갑자기 이러한 사실들을 직면하고 나니 나는, 코딩이 싫어졌다.

그래도 정확히 말하면 싫어졌다기 보다는 지겨워졌다는 의미가 더 맞는 것 같다. 아키텍쳐나 어셈블리 언어에 대한 내용은 컴퓨터에 대한 호기심을 잃지는 않았는지 제대로 하지는 못해도 남는 시간이면 찾아보거나 여러 글을 읽으며 공부를 하고 있기는 하다만.. 코딩이란 것, 개발이라는 것에 대한 의미는 잃고 말았다. 자신감과 함께.

---

나는 앞으로 컴퓨터란 분야가 어떵게 발전될지 개발 양상이나 그러한 기술적, 경제적 이야기 하는것을 좋아한다. 이러한 분야에 관심이 있는 친구에게 나의 이런 저런 생각을 공유하고는 했다. 이러한 것은 우리 아버지의 영향이 가장 컸던것 같다. 이런 저런 얘기를 하다 보면 결국에는 대학이 중요하다는 결론이 항상 나고는 했다. 그래서 대학에 대한 이야기를 하다 보면 나의 진학에 대한 이야기가 안나올 수 없었고, 이런 이야기를 하며 나는 마음 속으로 내 진로 방향을 결정하여야 했다.

나는 원래 컴퓨터 공학과에 진학하고 싶었다. 또 여러가지 공부를 하며 결론적으로 정보보안 대학원에 진학하는 것이 내 중간 목표였다. 최종 목표는 정보보안에 대한 패러다임을 새롭게 만들고 싶다는 거창한 것이었는데, 지금 생각해 보면 무척이나 높은 꿈이었던 것 같다.  하지만 이번 캠프를 통해, 여러 생각을 통해 정보보안에 대한 관심이 떨어지자 나는 앞으로 무엇을 해야하고 무엇을 하고 싶은지에 대한 것부터 막막해 지기 시작했다.

캠프가 막연한 좌절감만 준 것은 아니다. 이번 기회로 나는 새롭게 순수수학의 암호학에 대해서도 관심을 가지게 되었다. 내가 어떤걸 하고싶고 어떤걸 평셩 해도 지겹지 않을까에 대한 생각을 하면서, 나의 관심 종목에 대해 고민해보았다.

나는 암호학, 정보보안, 네트워크, 로우-레벨 코딩, 하드웨어 설계, 반도체, 양자컴퓨터, 소프트웨어 공학, 등등.. 여러 분야에 관심을 가지고 있었다. 위에 있는 단어를 나열하면서 가장 나에게 끌렸던 분야는 다름아닌 반도체와 하드웨어 프로그래밍, 로우레벨 코딩이 가장 끌렸었다. 나의 진로 그리고 미래를 위해 가장 알맞는 학과를 정해야 겠다고 다짐했다.

이런 결정을 내리는 과정에서 여러 고뇌를 거쳐갔는데, 내가 제일 최종적으로 하고 싶었던 일은 무엇일까 생각해보았다. 아마 컴퓨터 아키텍처를 분석하고 그런 시스템을 리버싱 하거나 설계하는 것이였던 것 같다. 마냥 소프트웨어 공학이나 개발보다는 그냥 논리회로 같이 컴퓨터 기계적인 분야에 더 관심이 있었고, 양자컴퓨터에 대해서 공부를 하다 보면 또  양자세계에서는 다르게 적용되는 새롭게 정리되고 개발되는 아키텍처에 대해서도 공부하고 싶었다. 결국 컴퓨터 공학과인지 전기전자 공학과 인지 결정해야 했는데, 컴퓨터 공학과는 너무 뭐랄까 공학의 느낌이 났다. 나는 컴퓨터 공학과에서 배우는 것도 배울 수 있고 또 내가 좋아하는 반도체/하드웨어 분야에 대해서 연구를 하는 전기전자 공학과를 선택하게 된 것이다. 나도 참 많은 생각을 했었다.

#### **대학 진학을 위한 결심의 과정**

전기전자 공학과를 가기로 한 이상 이제 대학교나 그 이상의 구체적인 계획을 세울 때가 되었다. 나는 이제 고등학교 3학년이므로, 그러한 고민을 하지에는 충분한 시기였지 않나 싶다. 전기전자 공학과도 서울대도 있고 고려대도 있으며 카이스트도 있고 포한공대도 있다. 하지만 이미 진학 실패를 경험한 나로서는 어떤 대학에 들어간다거나 어디를 붙을 수 있는지 내 위치가 정확히 어딘지 잘 모르겠다는 문제가 있었다. 물론 제일 가고 싶은 것은 서울대학교이겠지만, 그 세상은 이미 오래전에 도달하지 못하게 되었다. 나의 부족한, 미비한 성적으로는 잘해봤자 카이스트에 가는 정도였던 것이다. (그것도 이번 내신을 엄청나게 잘 봤을때의 이야기이다.)

나는 포스텍도, 카이스트도 고려대학교도, 연세대학교도 좋았다. 모두 양질의 교육을 받을 수 있을 것이며, 또 나의 꿈을 실현시키는데에 있어서 전혀 부족하지 않은 학교들이었다. 이제 구체적인 학과를 정했으니 그 학과를 갈 수 있도록 열심히 노력하고, 공부해야 할 것이다. 그렇다. 나는 지금 공부를 해야 한다. 한국에서 가장 공부를 많이 한다는, 많이 해야하는 고3이라는 시절에, 나는 무엇을 하고 있었는가. 나는 방황하는 듯 하며 결국에는 놀았다. 하고싶은 것만 골라서 했으며, 실제로 노력한 시간은 별로 없는 것 같다.

물론 지금까지의 생활에서는 충분히 많이 노력하고 있지만, 고등학교 3학년이라는 시기에 비해서는 (내가 상상한 것에 비해서), 또 내가 원하는 학교를 가서 내가 원하는 일을 할 수 있는 정도의 공부를, 노력을 나는 지금 하고 있지 않는것 같다.

내가 충분히 노력했다고 생각할 수는 없을 것 같다. 하루종일 다른 생각 안하고 공부에만 매진해도 결국에는 체력이 딸려서 몇분동안은 졸게 되어있고, 아무리 열심히 다짐해도 컴퓨터 인터넷 한번에 모든 것이 무너져 내리기도 했다. 하지만, 이것은 나의 기준이었다. 부모님들은 항상 말하신다. 너 생각하는 열심은 열심이 아니라고, 더 열심히 해야 한다고. 옛날 어렸을 때에는 이러한 말을 잔소리로만 생각했다. 엄마는 내가 얼마나 노력하는지 모르면서 엄마의 기준을 들이대지 말라고 말이다. 하지만, 이러한 것들도 이제 생각이 트이게 되니 얼마나 깊은 말이었는지를 조금이나마 실감할 수 있게 되었다.

열심히 하는 것은, 자신에게는 열심히 하고 있다고 생각되지 않는 것이다.

진정으로 열심히 하고 있다면, 그것은 자신에게는 '더 열심히 해야 한다'라는 강박과 '더 열심히 하고 싶다'의 욕망의 형태로 다가와야 한다. 아무리 집중하고 노력해도 불안하고 더 해야하는 것 같아서, 더 열심히 해야 한다고 생각해서, 진심으로 자신을 밀어붙이는 상태가 되어야 열심히 했다고, 열심히 하고 있다고 할 수 있다고, 나는 생각했다.

나는 열심히 하지 않았다. 나를 끝까지 몰아붙이지 않았고, 나름 열심히 했다고 생각하면서 나 자신을 기만했다. 이제는 다짐을 해야 할 때이다. 철 없이 3년을 보냈으니, 이제는 철이 들 때가 되었다.

####  **나의 마지막 다짐**

갑자기 여러 가지 생각이 들면서 긴박해 졌고, 이런 생각들을 정리하기 위해서 글을 쓰다 보니까 여러 가지 주제에 대해서 깊게 생각하게 되었다. 나는 이 글은 마무리 짓는 이 순간부터 나의 꿈을 이루는 마지막 날까지, 최선을 다 해서, 열심히 노력하며 달려나갈 것이다. 그게 내가 내 인생을 시작하는 첫 발걸음이 돠겠지..